clang-tools 8.0.0

Public Attributes | List of all members
clang::clangd::CodeCompleteOptions::IncludeInsertionIndicator Struct Reference

A visual indicator to prepend to the completion label to indicate whether completion result would trigger an #include insertion or not. More...

`#include <CodeComplete.h>`

Collaboration diagram for clang::clangd::CodeCompleteOptions::IncludeInsertionIndicator:
[legend]

## Public Attributes
std::string | Insert = "•"
std::string | NoInsert = " "

## Detailed Description

A visual indicator to prepend to the completion label to indicate whether completion result would trigger an #include insertion or not.

Definition at line 73 of file CodeComplete.h.

## Member Data Documentation

## ◆ Insert

std::string clang::clangd::CodeCompleteOptions::IncludeInsertionIndicator::Insert = "•"

Definition at line 74 of file CodeComplete.h.

## ◆ NoInsert

std::string clang::clangd::CodeCompleteOptions::IncludeInsertionIndicator::NoInsert = " "

Definition at line 75 of file CodeComplete.h.

The documentation for this struct was generated from the following file:

- CodeComplete.h